<template>
  <button
    :class="[
      'text-gray-600 hover:text-gray-800 px-4 py-2',
      { 'border-b-2 border-blue-500': isActive }
    ]"
    @click="selectTab"
  >
    <slot></slot>
  </button>
</template>

<script setup lang="ts">
import type { Ref } from 'vue'
import { inject, computed } from 'vue'

interface TabProps {
  value: string
}

const props = defineProps<TabProps>()

const activeTab = inject<Ref<string>>('activeTab')
const changeTab = inject<(value: string) => void>('changeTab')

const isActive = computed(() => activeTab?.value === props.value)

const selectTab = () => {
  if (changeTab) {
    changeTab(props.value)
  }
}
</script>
